package java3d;

public class IndexedTriangleFanArray extends IndexedGeometryStripArray {
	public IndexedTriangleFanArray(int vertexCount, int vertexFormat, int indexCount, int[] fanIndexCounts) {
		super(vertexCount, vertexFormat, indexCount, fanIndexCounts);
	}

	@Override
	public NodeComponent cloneNodeComponent() {
		IndexedTriangleFanArray newOne = new IndexedTriangleFanArray(vertexCount, vertexFormat, indexCount, (int [])stripIndexCounts.clone());
		newOne.vertexBuffer = vertexBuffer.duplicate();
		if (normalBuffer != null) newOne.normalBuffer = normalBuffer.duplicate();
		if (uvBuffer != null) newOne.uvBuffer = uvBuffer.duplicate();
		newOne.indexCount = indexCount;
		newOne.indexBuffer = indexBuffer.duplicate();
		return newOne;
	}

}
